Kerbal Space Program - Bug #10330

Orbit changes without reason at Mun, not fixed.
08/07/2016 09:31 PM - Crusoe

Status: Duplicate Start date: 08/07/2016
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.1.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Seconds after | circularize my orbit at Mun to 20km it starts changing itself without reason like there was windstorm randomly pushing
my spacecraft around 1causing big changes in the orbit on the opposite side (in prograde and/or retrograde directions).

Operating system: Windows 10 pro, version 1511. Os built 10586.494
Processor: Intel i5-4570 @3.2GHz

System type 64bit

Graphic card: NVIDIA GeForce GTX 650 Ti

Motherboard Asus B85-Pro, Kingston 240GB SSD hard drive

If you want more info on the hardware | can look after.

My game version 1.1.3.1289 (x64) (steam)

The game was just freshly installed.
After installed the game | also installed the following mods:

betterburntime
bettercrewassignment
camera focus changer
easy vessel switch
indicatorlights

Kerbal Attachment system
Kerbal Engineer Redux
Kerbal Inventory System
Module Manager

Precise manouver

Then when | noticed the bug at Mun, so | uninstalled all these mods. And built a new craft (except | left out that little "motherboard"
that comes with the Kerbal Engineer Redux mod, and | had that on my old ship. | rebuilt the same ship with stock parts. | went to
moon and this is what happened.

See here: https://youtu.be/AsDVz_F6IMs .

Also see my older report (when | used mods) #10087.
| was doing a duplicate report and it say it is 100% solved. But its not solved. | just have that bug right now.

If there is any other information | can give just ask.

Related issues:

Related to Kerbal Space Program - Bug #9619: Orbital Decay/ Orbit changes wit... Closed 04/30/2016
Related to Kerbal Space Program - Bug #10087: Satelite orbit is changing with... Duplicate 07/05/2016
History

#1 - 08/07/2016 09:33 PM - Crusoe

| forgot to add that when | do timewarp (see in video) the orbit stabilizes.. it only changes when you go in real time. (map view or normal view doesn't
matter).
https://youtu.be/AsDVz_F6IMs
https://bugs.kerbalspaceprogram.com/issues/10087

#2 - 08/07/2016 11:35 PM - TriggerAu

- Severity changed from Critical to Low

Hi Crusoe, I'm adjusting the priority on this to be more in line with the reported issue. I'm unable to replicate this in a stock game here, and without a
confirmation its hard to write this up as a high priority issue for the whole game, but | do understand it is quite painful.

Can you add logs and save for this occuring in the stock game as well to this report and maybe we can see something in them to help us find it.

#3 - 08/08/2016 12:46 AM - Crusoe

and why u adjust it to LOW? you should adjust the other reported one up to Critical.... this is gamebreaking bug.. | cannot play for now like 6 months
since this bug exists?

this is very crap you can only play around orbit of kerbin...of you go further your game is ruined!

#4 - 08/08/2016 12:49 AM - Crusoe
- File output_log.txt added

What logs you need? | added the save it is stock.. everything is stock here in this New (duplicate) report. | found one file called output_log.txt in the
ksp_x64/data folder... what else you need?

#5 - 08/08/2016 12:59 AM - Crusoe

- File Friday.7z added

This time | did not delete anything, | have the whole game as it is, with bugs, just tell me what folder, what file you need and | upload...

You either misunderstood me... Or | don't understand you... what you expect me to do

"Can you add logs and save for this occuring in the stock game as well to this report and maybe we can see something in them to help us find it."

| just did it. In this report... | can see 3 files attached the savefile, the craft and now the output_log, whatever it is... , and here comes the whole
"saves" folder for you zipped.

(sorry I'm not trying to be mean, but this bug for me is critical... It's simply impossible to play around mun and minmus after you make a 20km orbit 10
seconds later you have 17km/21km ... then how | supposed to go to even further to Eve or Duna...)

The file | uploaded named "BUG - 070816.sfs " is stock save (to my knowledge stock save is a save file where u dont use mods?!? or what is it)...
if its not what You mean explain me what is a stock save? | don't understand that... | Thought what | uploaded was a stock save file.

| do whatever you want me to do, how | make those logs? | thought they only been generated at game crash.. problem with my game is not crashing..
its not proper working of orbit physics... so please explain how | find/where | find the files you need...

#6 - 08/08/2016 08:59 AM - TriggerAu

- Status changed from New to Need More Info

Hi Crusoe,
I've only looked at this bug today, so lets start from there and work on it. For feedback:

A stock game is one that has no mods or addins installed
Ive tried replicating the scenario you've described, but am having no luck and thus why | asked for the logs
That wiki page explains the logs that are nice to have and some other good data that can be used
I've rated it as low (in line with the guidance on the wiki) because:
o currently it is only existing for this one report
o when | load the save there is one vessel Mun Explorer and it is in a 20km/15km orbit and quite stable
o The log and save indicates there are mod folders and files or have been previously
o We dont provide support for modded installs

The best way to go about this is one of these two

1. Support for Modded installs is not something we can provide as there are too many variations. You can read more about the reasoning in the
wiki here: http://bugs.kerbalspaceprogram.com/projects/ksp/wiki#A-note-on-Modded-Installs-for-PC-Users and there is a forum where quite a
few people discuss support for modded installs and help out.

2.If it occurs in a stock install with an unmodded save I'll do my best to replicate it and priortise it appropriately

Sorry if its causing you some stress, I'm just trying to help

#7 - 08/08/2016 10:36 PM - Crusoe

05/01/2024 2/5


http://bugs.kerbalspaceprogram.com/projects/ksp/wiki#A-note-on-Modded-Installs-for-PC-Users

Ok. | appreciate Your answer. And I'm very sorry for my criticism, | understand what You saying there | was just really annoyed by that | cannot play
even unmodded game because really | thought my game is not modded anymore and its a clean install.

| thought that because | used CKAN to install/uninstall mods and my CKAN showed an empty list for "Installed mods".

Investigating after your answer | noticed there are some files and folders still left in my KSP folder one is even called ModuleManager.Physics are still
in my GameData folder and also a folder named CKAN as placed in my KSP folder, so You were right its not 100% clean.

| just made a copy the whole game folder in the background and | will start search for the bug myself deleting files/folders/mods (that | expected to be
uninstalled already by CKAN) so I'm deleting those one by one until all of them is gone or until the bug is gone. (Of course | will restart game after
each file/folder deleted and check).

This way | may find which one causes the bug. | start with that ModuleManager.Physics file and run the game because the "physics" extension of it
makes me very suspecios.

If | can find one of those files causes the bug (if the bug is gone after | delete it). | may come back here and/or investigate what mod it come from and
try contact the mod maker himself/herself.

If i still dont find the bug by the time | deleted all unwanted folders, | will just reinstall the game and start playing without mods, hopefully without bug.

In future before installing any mod (If | ever decide to do that after these shocks:P) | will make a copy of the whole folder and save it so | can recover
clean or (modded but working versions of the game). | also wont install more than 1 mod at a time.:-)

Its fine | agree that you don't support modded games. And | know its not place here for tips but | really miss 1-2 basic things from stock game like
calculating deltaV or thrust of a ship, | don't even know how anyone can for example fly to outer planets and stuff without knowing those stats of a
vessel. | mean, if You are not a rocket scientist or very good in math it's hard to design a ship without kerbal engineer or some other "info" giving
mods.

Finally, If | do any progress in finding that bug | will let you know.

#8 - 08/08/2016 10:54 PM - Crusoe

At this point. I've deleted CKAN program its folder from KSP folder and all mods one by one (by hand) from GameData. It didn't work bug is still there.
So something was changed in KSP files by some of my mods maybe. | have a copy of the whole thing and now I'm gonna make a new install and
start a game and not installing any mods and see if the bug appear again. It will be not easy to get to Mun again (maybe | try sandbox first before |
start career... in case the bug comes up in sandbox).

#9 - 08/09/2016 12:31 AM - Crusoe
- File fresh install save.sfs added

- File graphicsettings.jpg added

- File Discovery.craft added

- File persistent.sfs added

- File output_log.txt added

Ok here | am back. What | have done step by step.

1. Exit steam.

2. Delete the whole KSP folder. (after | saved a copy on my other hard drive)

3. Restarted steam.

4. In steam | did KSP properties/local files, delete local content. (after that | double checked if the folder is gone, it was gone).
5. Then | click "play” it started downloading the game again. | waited like half an hour for downloading it agian.

6. So | installed | belive this time Fresh, clean install. Did not add any mod or did not even start my CKAN (I actually even deleted it's shortcut just in
case | didnt want accidentally run it.)

7. | started the freshly installed game.

8. Then | changed few settings (see the graphic settings picture | will attach in a sec).

9. | started a sandbox game and built a similar spacecraft as | used before.

10.  managed it to get to Mun, and make my orbit around 20km x 20km and look what is happening (video).

Its basicly the samething except my orbit is this time more likely growing instead of dropping-growing randomly.
| even checked if that drift compensation or what is that menu item called... if it was checked in the general settings (as it is by default).

https://youtu.be/if3bHQIEeOE

| don't know now what other extra files | should search for, please let me know. If | missed something please let me know. Or if you need any more
other information that | did not say yet. | will upload some now anyway:
fresh install save file, the craft file, the image | mentioned above (about changed settings), an extra save file (persistent), the output_log.txt,

I can't find any file named player_log.txt, please let me know where | find that.
There is no crash_log file as my game did not crash.

| believe version is same you can see in video in bottom right corner 1.1.3.1289 (x64)
My computer is the same as | said above. | can give more details as | mentioned already. My windows is still windows 10 pro. version 1511. Os built
10586.494.

Please let me know if any more information You need or If | did report something wrong way. | tried to follow the wiki page.

Your sincerely,
Robert

#10 - 08/09/2016 03:37 AM - TriggerAu
- Related to Bug #9619: Orbital Decay/ Orbit changes without user input added

#11 - 08/09/2016 03:38 AM - TriggerAu
- Status changed from Need More Info to Duplicate

- % Done changed from 0 to 100

All good, thanks for the detail and checking the behaviour in a stock install. | see what you are talking about there in that new video much better than
the first - with the twitching Ap/Pe and can replicate that. | checked the behaviour and spoke with a couple of QA team, what you are seeing there has
been prviously reported here http://bugs.kerbalspaceprogram.com/issues/9619 and is substantially worse with craft with legs.

The orbital Drift compensation will help that - so do leave it on.

I'll close this one as a duplicate of that earlier issue (which is classified as a high priority) and link it so we have all the details you've provided for
when a developer looks at it.

There's also this forum link http:/forum.kerbalspaceprogram.com/index.php?/topic/140140-orbit-constantly-decaying/ where people have been
discussing it.

#12 - 08/09/2016 03:42 AM - TriggerAu
- Related to Bug #10087: Satelite orbit is changing with no input added

#13 - 08/09/2016 09:03 AM - Crusoe
Thank you.

Ok. I'm not trying to be smart, just telling you the reason | was frustrated about this.

Originally when [ first noticed this bug | added my report as a duplicate (#9729) to that post what you've just linked (#9619). At that point | only had a
save file and my game had a lot of mods and | didn't know that | have to replicate the bug in stock game.

Then later | looked there and it was showing the bug was solved "100%".

They even said that somewhere in the comments that the bug was fixed by the developers in 1.1.3. And there is a "compensation" somewhere in the
menu that fixes the bug.

| was happy and started a new carrier mode, put lots of hours in it then the bug come up again.

| was frustrated because | couldn't note this to the post as a comment | thought as it was "closed case" something like a closed thread in a forum. |
think now that the "edit" button was not there, probably just because | wasn't signed in /thats a bad design of the website, the edit button shouldn't be
hidden if you are not signed in... it should just put you on a page register/sign in if you want add comment/.

So | was realy frustrated, seeing the bug is "solved in 1.1.3" and in my version | see no fix.

Thats why | started this new thread, | pretty much new this is same case

Also confusing that duplicates of a bug shows up differently in progress than the original bug.

Right now on top of the screen #10330 shows its 100% done and low priority.

The other duplicate #9729 also 100% done high priority.
The original #9619 is now showing critical and 10%.

it's pretty confusing the duplicates show different progress/priority than the original report.

| thought until your answer now that #9619 is already a closed case.

Thanks for everything anyway, | will look at that forum link too, later. Maybe they have a temporary answer for me how to reduce this orbital decay.
#14 - 08/09/2016 10:30 AM - TriggerAu

| understand entirely, and happy to chat it out as well :)

Just re the 100% thing, the percent complete indicates where a report is in the process, but the status also tells some extra detail (bit like the edit
button behaviour - its the way redmine works unless we invest a bunch of time and effort into it - as opposed to the game :P).
So #10330 is 100% complete as it is a duplicate, of #9619 and we link it to #9619 so we can look at the extra info when #9619 is being worked on.

We try to have only one "master" bug report for each issue.

#9619 was marked resolved due to work that was done for 1.1.3 and some testing that was done, but upon further testing with more variations it was
found to be not completely resolved (especially with craft with landing legs), so it was reopened. It is something the guys want to look at and

important.

#15 - 08/09/2016 10:54 AM - Crusoe

Thanks for your comment about you happy chatting it out ...

| understand that You want only 1 copy of the same problem. And the layout of the "redmine" ... well it's my personal opinion If | like or not...

| try to cut this answer short, | appreciate Your time. | don't want waste it anymore. They work on the bug, and the priority is high and I'm very happy

with that.:-)
